# Licensed under the MIT license
# http://opensource.org/licenses/mit-license.php or see LICENSE file.
# Copyright 2007-2008 Brisa Team <brisa-develop@garage.maemo.org>

from setuptools import setup, find_packages
import brisa
#import sys

#package_list = ["cherrypy", "mad", "ID3", "pyinotify"]
#
#for package in package_list:
#    try:
#        __import__(package)
#    except ImportError:
#        print "Please install %s before continue" % package
#        sys.exit()

#SVN=1

__version__ = brisa.__version__

#if SVN:
#    import time
#    __version__ += "_SVN_"  + time.strftime('%Y_%m_%d')

long_description = '''
BRisa UPnP A/V framework
Enable to create MediaServer/MediaRenderer devices
allowing users to share and search content from UPnP A/V
devices. Has a plugin architecture enabling services such
Flickr, Shoutcast, Youtube and others to be used as UPnP
services.
'''

url='https://garage.maemo.org/projects/brisa/'

setup(
      name='brisa',
      version=__version__,
      description='UPnP A/V Framework',
      long_description=long_description,
      author='BRisa Team',
      author_email='brisa-develop@garage.maemo.org',
      license='MIT',
      install_requires=['cherrypy>=3.0.3', 'id3-py>=1.2',
                        'pymad>=0.5.4', 'python-inotify>=0.7.0'],
      packages=find_packages(),
      scripts=['bin/brisa-configuration-tool', 'bin/brisa-manager',
               'bin/brisa-media-server', 'bin/brisa-control-point',
               'bin/brisa-media-renderer', 'bin/brisa-up-server'],
      url=url,
      download_url=url,
      keywords=['UPnP', 'A/V', 'DLNA', 'Xbox360', 'Maemo'],
      classifiers=['Development Status:: 4 - Beta',
                   'Environment:: Maemo',
                   'Intended Audience:: Developers, End Users/Desktop',
                   'License:: MIT/X Consortium License',
                   'Natural Language:: English',
                   'Operating System:: Linux',
                   'Programming Language:: Python',
                   'Topic:: Multimedia'
                   ],
      entry_points='',
      package_data={
                    'brisa':['brisa/brisa.conf',
                             'brisa/xml_descriptions/*.xml',
                             'brisa/control_point/gui/*.glade',
                             'brisa/config_gtk/*.glade',
                             'brisa/config_gtk/*.png',
                             'brisa/main/launch/*.glade',
                             'brisa/main/launch/*.png',
                             ]
                    },
      include_package_data=True

     )

